SET(GMP_PREFIX "" CACHE PATH "path ")


FIND_PATH(GMP_INCLUDE_DIR gmp.h gmpxx.h
    PATHS ${GMP_PREFIX}/include /usr/include /usr/local/include )

FIND_LIBRARY(GMP_LIBRARY NAMES gmp libgmp
    PATHS ${GMP_PREFIX}/lib /usr/lib /usr/local/lib)


IF(GMP_INCLUDE_DIR AND GMP_LIBRARY)
    GET_FILENAME_COMPONENT(GMP_LIBRARY_DIR ${GMP_LIBRARY} PATH)
    SET(GMP_FOUND TRUE)
ENDIF()

IF(GMP_FOUND)
   IF(NOT GMP_FIND_QUIETLY)
      MESSAGE(STATUS "Found GMP: ${GMP_LIBRARY}")
   ENDIF()
ELSEIF(GMP_FOUND)
   IF(GMP_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find GMP")
   ENDIF()
ENDIF()
